@layer base {

  *,
  *::before,
  *::after {
    box-sizing: border-box;
  }

  html {
    width: 100%;
    overflow-x: hidden;
  }

  body {
    background-color: var(--color-base-background);
    color: var(--color-text);
    font-family: var(--font-family);
    font-size: var(--font-size-base);
    -webkit-font-smoothing: antialiased;
    font-weight: 400;
    line-height: 1.5;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    text-size-adjust: 100%;
  }

  a {
    color: var(--color-text);
    text-decoration: none;
  }
}